### Method

# Tracker SparqlCursor get_string

#### Declaration [src]

    const gchar*
    tracker_sparql_cursor_get_string (
      TrackerSparqlCursor* cursor,
      gint column,
      glong* length
    )

#### Description [src]

Retrieves a string representation of the data in the current row in `column`.

Any type may be converted to a string. If the value is not bound (See `tracker_sparql_cursor_is_bound()`) this method will return `NULL`.

#### Parameters

`column`

  Type: `gint`

  Column number to retrieve (first one is 0)

`length`

  Type: `glong*`

  Length of the returned string, or `NULL`.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.

#### Return value

Type: `const gchar*`

A string which must not be freed. `NULL` is returned if the column is not in the `[0, n_columns]` range, or if the row/column refer to a nullable optional value in the result set.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.